const debug = false;
const webpack = require('webpack');
const path = require('path');

process.noDeprecation = true;

module.exports = {
    context: __dirname,
    devtool: false,
    entry: "./source-js/app.js",
    module: {
        loaders: [
            {
                test: /\.(js|jsx)$/,
                exclude: /(node_modules|bower_components)/,
                loader: 'babel-loader',
                query: {
                    presets: ['react', 'es2015', 'stage-0'],
                    plugins: ['react-html-attrs', 'transform-decorators-legacy', 'transform-class-properties'],
                }
            }
        ]
    },
    output: {
        publicPath: '/',
        path: path.join(__dirname, ''),
        filename: "app-v2.min.js"
    },
    plugins: (debug) ? [] : [
        new webpack.DefinePlugin({// <-- key to reducing React's size
            'process.env': {
                'NODE_ENV': JSON.stringify('production')
            }
        }),
        new webpack.optimize.DedupePlugin(),
        new webpack.optimize.OccurrenceOrderPlugin(),
        new webpack.optimize.UglifyJsPlugin(),
    ],
};